MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000095SoldatOtherpublic2011-10-12 07:282014-02-14 20:34
ReporterAs de Espada 
Assigned Toskoskav 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version1.6.1 
Target VersionFixed in Version1.6.7 
Summary0000095: readonly.txt doesn't include new maps
Descriptionreadonly.txt doesn't include
ctf_Campeche
ctf_Scorpion
ctf_Triumph
Steps To ReproduceGo to your soldat folder and open the file readonly.txt
Additional InformationI didn't check all the maps
TagsNo tags attached.
Attached Filestxt file icon readonly.txt [^] (14,338 bytes) 2014-01-21 19:57 [Show Content]

- Relationships
related to 0000279resolvedskoskav readonly.txt is not keeping maps safe 

-  Notes
(0001219)
As de Espada (reporter)
2011-10-12 07:30

oops, ctf_Scorpion is there
(0001220)
Shoozza (administrator)
2011-10-12 07:46

Updated the file:
Added missing maps
Removed non existent maps
(0002096)
homerofgods (updater)
2013-12-23 02:17
edited on: 2013-12-23 03:42

Re-opening because Readonly.txt in 1.6.6 needs an update.

Missing Map in Readonly.txt: ctf_Wretch

Readonly.txt also have 403 scenery listed, while there are only 348 files in the scenery-gfx folder.

Scenery that are not in the scenery folder and should be removed from Readonly.txt:
scenery-gfx\1b copy.bmp
scenery-gfx\amb_cloud_msk.png
scenery-gfx\bnw_crate.bmp
scenery-gfx\bnw_cratebox.bmp
scenery-gfx\boulder002.bmp
scenery-gfx\boulder008.bmp
scenery-gfx\boulder010.bmp
scenery-gfx\boulder080.bmp
scenery-gfx\boulder090.bmp
scenery-gfx\crate_eingeschneit.bmp
scenery-gfx\crate3_eingeschneit.bmp
scenery-gfx\crate4_eingeschneit.bmp
scenery-gfx\ff-bambootree1.bmp
scenery-gfx\ff-bambootree2.bmp
scenery-gfx\ff-bambootree3.bmp
scenery-gfx\ff-buddha1.bmp
scenery-gfx\ff-buddha2.bmp
scenery-gfx\ff-cloud1.bmp
scenery-gfx\ff-dead1.bmp
scenery-gfx\ff-moon2.bmp
scenery-gfx\ff-plane1.bmp
scenery-gfx\ff-stars2.bmp
scenery-gfx\ff-stream.bmp
scenery-gfx\ff-sun.bmp
scenery-gfx\ff-tree2.bmp
scenery-gfx\ff-tree3.bmp
scenery-gfx\ff-tree4.bmp
scenery-gfx\ff-tropic1.bmp
scenery-gfx\ff-wintertree1.bmp
scenery-gfx\fry_barrel_00.png
scenery-gfx\fry_bush_00.png
scenery-gfx\fry_crate_00.png
scenery-gfx\fry_moon_00.png
scenery-gfx\fry_rock_00.png
scenery-gfx\fry_tree_00.png
scenery-gfx\fry_tree_01.png
scenery-gfx\icecave.bmp
scenery-gfx\Kamiboat.PNG
scenery-gfx\liana123.bmp
scenery-gfx\limbo_rope_3.png
scenery-gfx\LOLOMGROFL.PNG
scenery-gfx\mammut.png
scenery-gfx\mnp-powerline10.bmp <--Just missplaced
scenery-gfx\naspear.bmp
scenery-gfx\ol_bridge2.bmp
scenery-gfx\ol_putki.bmp
scenery-gfx\pcol2.bmp
scenery-gfx\rir-antenne.bmp
scenery-gfx\rir-grnakiste.bmp
scenery-gfx\rir-kistewaffen.bmp
scenery-gfx\rir-weap2b.bmp
scenery-gfx\sieni1.bmp
scenery-gfx\sieni2.bmp
scenery-gfx\sieni4.bmp
scenery-gfx\sieni5.bmp
scenery-gfx\snowsbags3.bmp
scenery-gfx\snowtree01_x.bmp
scenery-gfx\snowtree02_x.bmp
scenery-gfx\snowtree09_x.bmp
scenery-gfx\st-crate-pile1.bmp
scenery-gfx\st-crate-pile2.bmp
scenery-gfx\st-crate-SHELF1.bmp
scenery-gfx\tw_coldmorning_fance_1.png
scenery-gfx\tw_coldmorning_fbg_1.png
scenery-gfx\tw_coldmorning_fbg_2.png
scenery-gfx\tw_coldmorning_water_[darkbot].png
scenery-gfx\tw_rime_house.png
scenery-gfx\veg_dead_10.png
scenery-gfx\veg_dead_12.png
scenery-gfx\veg_dead_2.png
scenery-gfx\veg_dead_5.png
scenery-gfx\veg_dead_7.png
scenery-gfx\veg_dead_8.png
scenery-gfx\veg_dead_9.png
scenery-gfx\veg_grass_1.png
scenery-gfx\veg_grass_4.png
scenery-gfx\veg_grass_5.png
scenery-gfx\veg_winter_bush_1.png
scenery-gfx\veg_winter_bush_2.png
scenery-gfx\veg_winter_bush_3.png
scenery-gfx\veg_winter_tree_1.png
scenery-gfx\veg_winter_tree_2.png
scenery-gfx\veg_winter_tree_3.png
scenery-gfx\veg_winter_tree_4.png
scenery-gfx\veg_winter_tree_6.png
scenery-gfx\ysk4gn1b.png
scenery-gfx\yskmgn1b.png

Theese scenery are in scenery-gfx but missing in readonly.txt:
bnw_grass3
concrete1_fade
ff-beam2
ff-bg3
ff-bridge1
fx_li_beam2-sk
fx_li_beam-sk
jungletree2.1
L1R_SteelDoor
liana123
m_bullethole
pixel_fade-double
pixel_half
pixel_half-long
pixel_half-wide
pixel_point
rir-building4
rir-building4z
rir-car02-bk
rir-car03-bk
rir-car04-ft
rir-city01
rir-city03
rir-fence4x
rir-tonne1
rir-tonne2
rir-wall2b
rir-wall5d
rir-wallsmall4x
RyanEllis_RockBG
stars

This scenery has big letters in scenery folder, and should be renamed in Readonly.txt:
BUSH5
CAMONET2
Light
Ol_putki_lyhyt

Missing textures in Readonly.txt:
awokado
default

----
Isn't there a way to just make the file update itself whenever you put in new maps, scenery and textures? What is the point of the file anyway? Is it to have an overview of the default stuff?
If you want me to asume scenery-gfx folder is correct and make the Readonly.txt match with the same names, I could do it.

(0002112)
Shoozza (administrator)
2014-01-20 14:45

Please edit the readonly.txt and attach it make sure the paths are correct.
Thanks
(0002116)
homerofgods (updater)
2014-01-21 19:56
edited on: 2014-01-21 19:59

Attatched Readonly.txt
Basicly a text-version of map, scenery-gfx, texture folders that comes with 1.6.6

Sidenote: We should check if there are unnecessary scenery/textures in the folders

(0002124)
As de Espada (reporter)
2014-01-25 03:40

the readonly is not even working as it should: http://bugs.soldat.pl/view.php?id=279 [^]
(0002137)
skoskav (developer)
2014-02-14 20:34

Awesome job!

- Issue History
Date Modified Username Field Change
2011-10-12 07:28 As de Espada New Issue
2011-10-12 07:30 As de Espada Note Added: 0001219
2011-10-12 07:46 Shoozza Note Added: 0001220
2011-10-12 07:46 Shoozza Status new => resolved
2011-10-12 07:46 Shoozza Fixed in Version => 1.6.2
2011-10-12 07:46 Shoozza Resolution open => fixed
2011-10-12 07:46 Shoozza Assigned To => Shoozza
2013-12-23 02:17 homerofgods Note Added: 0002096
2013-12-23 02:17 homerofgods Status resolved => feedback
2013-12-23 02:17 homerofgods Resolution fixed => reopened
2013-12-23 02:20 homerofgods Note Edited: 0002096 View Revisions
2013-12-23 02:25 homerofgods Note Edited: 0002096 View Revisions
2013-12-23 02:57 homerofgods Note Edited: 0002096 View Revisions
2013-12-23 03:31 homerofgods Note Edited: 0002096 View Revisions
2013-12-23 03:42 homerofgods Note Edited: 0002096 View Revisions
2014-01-20 14:45 Shoozza Note Added: 0002112
2014-01-21 19:56 homerofgods Note Added: 0002116
2014-01-21 19:57 homerofgods File Added: readonly.txt
2014-01-21 19:59 homerofgods Note Edited: 0002116 View Revisions
2014-01-25 03:40 As de Espada Note Added: 0002124
2014-01-25 03:40 As de Espada Status feedback => assigned
2014-01-25 10:01 homerofgods Relationship added related to 0000279
2014-02-14 20:34 skoskav Note Added: 0002137
2014-02-14 20:34 skoskav Status assigned => resolved
2014-02-14 20:34 skoskav Fixed in Version 1.6.2 => 1.6.7
2014-02-14 20:34 skoskav Resolution reopened => fixed
2014-02-14 20:34 skoskav Assigned To Shoozza => skoskav


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker